Error

'AD_end3_5'

Details

    Traceback (most recent call last):
  File "/opt/acc-bpt/release_2024_07/venv/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3802, in get_loc
    return self._engine.get_loc(casted_key)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "pandas/_libs/index.pyx", line 138, in pandas._libs.index.IndexEngine.get_loc
  File "pandas/_libs/index.pyx", line 165, in pandas._libs.index.IndexEngine.get_loc
  File "pandas/_libs/hashtable_class_helper.pxi", line 5745, in pandas._libs.hashtable.PyObjectHashTable.get_item
  File "pandas/_libs/hashtable_class_helper.pxi", line 5753, in pandas._libs.hashtable.PyObjectHashTable.get_item
KeyError: 'AD_end3_5'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/acc-bpt/release_2024_07/jinja/build_static_plots.py", line 85, in _create_static_html_content
    output_html_file_path = driver.build(abs_plot_dest_file_html)
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/acc-bpt/release_2024_07/acc_bpt/shared/BptV2.py", line 303, in build
    raise ex
  File "/opt/acc-bpt/release_2024_07/acc_bpt/shared/BptV2.py", line 282, in build
    name, content = self.bptStatic.create_bokeh_model(analyzed_data)
                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/acc-bpt/release_2024_07/acc_bpt/ad_elena/shared/ad_elena_intensity.py", line 696, in create_bokeh_model
    data = self.analyse_data(data)
           ^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/acc-bpt/release_2024_07/acc_bpt/ad_elena/shared/ad_elena_intensity.py", line 439, in analyse_data
    data['AD_end3_5'] = data['AD_end3_5']/1e6
                        ~~~~^^^^^^^^^^^^^
  File "/opt/acc-bpt/release_2024_07/venv/lib/python3.11/site-packages/pandas/core/frame.py", line 3807, in __getitem__
    indexer = self.columns.get_loc(key)
              ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/acc-bpt/release_2024_07/venv/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3804, in get_loc
    raise KeyError(key) from err
KeyError: 'AD_end3_5'

    

Generated 2024-06-18 19:01:16.406453+02:00